<html xmlns:th="http://www.thymeleaf.org">
<head>
	<title>私塾家</title>
	<script th:include="sys/common/metaCSS" th:remove="tag"></script>
	<script th:include="sys/common/metaJS" th:remove="tag"></script>
</head>
<style>
	.tablelink{margin-right:10px;}
</style>
<body>
<div class="place">
	<span>位置：</span>
	<ul class="placeul">
		<li><a href="#">后台系统管理</a></li>
		<li><a href="#">用户管理</a></li>
	</ul>
</div>
<div class="rightinfo">
	<form id="seachform" th:action="@{/sys/role/adminlist.html}" method="post">
		<ul class="seachform">
			<li>
				<label>登录名/用户呢称</label>
				<input name="nickName" type="text" class="scinput" th:value="${search.get('nickName')}"/>
			</li>
			<li>
				<label>&nbsp;</label>
				<input type="button" class="scbtn" value="查询" />
			</li>
			<li>
				<ul class="toolbar">
					<a th:href="@{/sys/role/adminAdd.html}"><li class="click"><span><img th:src="@{/static/sys/images/t01.png}" /></span>添加</li></a>
				</ul>
			</li>
		</ul>
	</form>
	<table class="tablelist">
		<thead>
		<tr>
			<th style="width: 50px;">序号</th>
			<th>登录用户名</th>
			<th>用户呢称</th>
			<th>状态</th>
			<th>创建时间</th>
			<th>操作</th>
		</tr>
		</thead>
		<tbody>
		<tr th:each="item:${list}" >
			<td th:text="${itemStat.count}" ></td>
			<td th:text="${item.login_name}"></td>
			<td th:text="${item.nick_name}" ></td>
			<td th:text="${item.status == 1 } ? '有效' : '停用' " ></td>
			<td th:text="${#calendars.format(item.create_time,'yyyy-MM-dd HH:mm:ss')}" ></td>
			<td>
				<a href="javascript:;" th:onclick="'deleteById(\''+${item.id}+'\')'"  class="tablelink" >删除</a>
				<a th:href="@{/sys/role/adminAdd.html(id=${item.id})}"  class="tablelink" >修改</a>
				<a href="javascript:;" onclick="pushMenu();"  th:if="${item.login_name}=='admin'" class="tablelink"  >生成微信菜单</a>
				<a href="javascript:;" onclick="getWebInfo(1);"  th:if="${item.login_name}=='admin'" class="tablelink"  >爬取标签信息</a>
				<a href="javascript:;" onclick="getWebInfo(2);"  th:if="${item.login_name}=='admin'" class="tablelink"  >爬取标签信息2</a>
				<a href="javascript:;"  th:if="${ #httpSession.getAttribute('admin') !=null  && #httpSession.getAttribute('admin').loginName eq 'admin'  }"  th:onclick="'adminRoleList(\''+${item.id}+'\')'" style="margin-right: 5px; width: 346px" class="tablelink" >分配权限</a>
				<a href="javascript:;" th:onclick="'competenceAdmin(\''+${item.id}+'\')'" style="margin-right: 5px; width: 346px" class="tablelink" >关联组织架构</a>
			</td>
		</tr>
		</tbody>
	</table>
	<!-- 分页 -->
	<div class="pagin">
		<div class="message">共<i class="blue">[[${page.rowCnt}]]</i>条记录，当前显示第&nbsp;<i class="blue">[[${page.pageNo }]]&nbsp;</i>页</div>
		<div th:utext='${listNavigatHtml}' th:remove="tag" ></div>
	</div>
</div>
<script type="text/javascript">

	function competenceAdmin(id){
		layer.open({
			type: 2,
			title: '关联组织架构',
			shadeClose: false,
			shade: 0.8,
			offset: '60px',
			area: ['670px', '520px'],
			content: '[[${sysUrl}]]/sys/role/competenceAdmin.html?id='+id
		});
	}
	function adminRoleList(id){
		var url="./adminRoleList.html?id="+id;
		window.open(url, 'newwindow', 'height=530, width=900, top=200, left=250, toolbar=no, menubar=no, scrollbars=yes, resizable=no,location=no, status=no');
	}
	function deleteById(id){
		layer.confirm("确定停用该用户？",
				{icon: 4, btn: ['确定','取消']
				}, function(){
					$.ajax({
						url: '[[${sysUrl}]]/sys/role/deleteAdmin',
						type: "post",
						data:{
							'id': id
						},
						dataType: "json",
						success:function(data){

							if(data.meta.success){
								layer.msg("删除成功",{icon:1});
								setTimeout(function(){
									window.location.href ='[[${sysUrl}]]/sys/role/adminlist.html';
								},1000);
							}else{
								layer.msg(data.meta.message,{icon:11});
							}
						}
					});
				});
	}


	function pushMenu(){
		parent.layer.open({
			type: 2,
			title: "修改微信菜单",
			shadeClose: false,
			shade: 0.8,
			scrollbar: true,
			area: ['43%', '60%'],
			content: '[[${sysUrl}]]/sys/role/weixinMenu.html'
		});
	}

	function getWebInfo(type){
		$.ajax({
			url: '[[${sysUrl}]]/sys/test/getWebInfo',
			type: "post",
			data:{
				type:type
			},
			dataType: "json",
			success:function(data){

				if(data.meta.success){
					layer.msg("同步成功",{icon:1});
				}else{
					layer.msg(data.meta.message,{icon:11});
				}
			}
		});
	}
</script>
</body>
</html>